# CP (Javadocs: controlP5)
Date: 2014-04-27

controlP5

## Class CP

- java.lang.Object
- - controlP5.CP

    public class CP
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`CP()`

### Method Summary

Methods
`static java.lang.String` `arrayToString(java.lang.Object aArray)` * Convenience method for producing a simple textual representation of an array.
`static int` `byteArrayToInt(byte[] b)`
`static byte[]` `decodeBase64(java.lang.String base64)`
`static java.lang.String` `encodeBase64(byte[] raw)`
`static java.lang.String` `forHTMLTag(java.lang.String aTagFragment)` borrowed from http://www.javapractices.com/Topic96.cjp
`static java.lang.String` `forURL(java.lang.String aURLFragment)` borrowed from http://www.javapractices.com/Topic96.cjp
`static int` `getBit(int theByte, int theIndex)`
`static boolean` `inside(int[] theRect, float theX, float theY)`
`static boolean` `inside(int[] theRect, processing.core.PVector theVector)`
`static byte[]` `intToByteArray(int a)`
`static java.lang.String` `intToString(int theInt)`
`static int` `parseHex(java.lang.String theHex)` convert a hex number into an int
`static java.lang.String` `replace(java.lang.String theSourceString, java.lang.String theSearchForString, java.lang.String theReplaceString)`
`static byte` `setHigh(byte theByte, int theIndex)`
`static byte` `setLow(byte theByte, int theIndex)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CP

    public CP()

### Method Detail

#### arrayToString

    public static java.lang.String arrayToString(java.lang.Object aArray)

* Convenience method for producing a simple textual representation of an array.

The format of the returned `String` is the same as `AbstractCollection.toString`:

- non-empty array: [blah, blah]
- empty array: []
- null array: null

`aArray` is a possibly-null array whose elements are primitives or objects; arrays of arrays are also valid, in which case `aArray` is rendered in a nested, recursive fashion.

#### byteArrayToInt

    public static int byteArrayToInt(byte[] b)

#### decodeBase64

    public static byte[] decodeBase64(java.lang.String base64)

#### encodeBase64

    public static java.lang.String encodeBase64(byte[] raw)

#### forHTMLTag

    public static java.lang.String forHTMLTag(java.lang.String aTagFragment)

borrowed from http://www.javapractices.com/Topic96.cjp

Parameters:
  `aTagFragment` - String
Returns:
  String

#### forURL

    public static java.lang.String forURL(java.lang.String aURLFragment)

borrowed from http://www.javapractices.com/Topic96.cjp

Parameters:
  `aURLFragment` - String
Returns:
  String

#### getBit

    public static int getBit(int theByte,
             int theIndex)

#### inside

    public static boolean inside(int[] theRect,
                 float theX,
                 float theY)

#### inside

    public static boolean inside(int[] theRect,
                 processing.core.PVector theVector)

#### intToByteArray

    public static byte[] intToByteArray(int a)

#### intToString

    public static java.lang.String intToString(int theInt)

#### parseHex

    public static int parseHex(java.lang.String theHex)

convert a hex number into an int

Parameters:
  `theHex` -
Returns:

#### replace

    public static java.lang.String replace(java.lang.String theSourceString,
                           java.lang.String theSearchForString,
                           java.lang.String theReplaceString)

#### setHigh

    public static byte setHigh(byte theByte,
               int theIndex)

#### setLow

    public static byte setLow(byte theByte,
              int theIndex)